Validate a vault data update

post/businesses/{fp_bid}/vault/validate
External ID
Checks whether the provided data is valid before you add it to the vault. Returns HTTP 200 when there are no validation errors, or HTTP 400 with context describing the validation errors.

Request

Path parameters

fp_bid·

string

Body

Key-value map of data to add to the business's vault. For more documentation on available keys, see here.
<key>·

string

Allowed values:

business.namebusiness.dbabusiness.websitebusiness.phone_numberbusiness.tinbusiness.address_line1business.address_line2business.citybusiness.statebusiness.zipbusiness.countrybusiness.corporation_typebusiness.formation_statebusiness.formation_date
custom.*
<value>·

string | integer | boolean | object

Response

Empty JSON.
POST /businesses/{fp_bid}/vault/validate
1curl -X POST https://api.onefootprint.com/businesses/{fp_bid}/vault/validate \
2  -u sk_test_xxxxx: \
3  -d '{
4    "business.name": "Acme Bank",
5    "business.website": "acmebank.org",
6    "custom.account_id": "d0af81fc-41c2-46ca-8a8d-797b8e4d3146"
7  }'
Response example
{}